openhpi (3.8.0-2.1ubuntu1) noble; urgency=medium

  * Drop runtime dependency on libopenipmi0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Mar 2024 12:15:41 +0100

openhpi (3.8.0-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 15:39:31 +0100

openhpi (3.8.0-2) unstable; urgency=medium

  * Fixed libopenhpi-dev: broken symlink: /usr/lib/libopenhpi_snmp.so ->
    libopenhpi_snmp.so.3.8.0 (Closes: #906183)

 -- Mohan Devarajulu <mohan.devarajulu@hpe.com>  Thu, 13 Sep 2018 11:50:16 -0500

openhpi (3.8.0-1) unstable; urgency=medium

  * Updated to upstream 3.8.0 version; differences listed at
    http://openhpi.org/News
  * Major changes include the addition of a new plugin
    (ov_rest), resulting in a new binary packages
    (openhpi-plugin-ov-rest)

 -- Mohan Devarajulu <mohan.devarajulu@hpe.com>  Tue, 05 Jun 2018 11:50:16 -0500

openhpi (3.6.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with OpenSSL 1.1 by honouring OPENSSL_NO_MD2.
    (Closes: #859543)

 -- Adrian Bunk <bunk@debian.org>  Sat, 20 Jan 2018 09:57:25 +0200

openhpi (3.6.1-3) unstable; urgency=medium

  * Fixed SNMPFLAGS FTBFS (Closes: #870733)
  * Fixed ftbfs with GCC-7 (Closes: #853590)

 -- Mohan Devarajulu <mohan.devarajulu@hpe.com>  Tue, 12 Sep 2017 11:50:16 -0500

openhpi (3.6.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove -dbgsym packages from debian/control, these are autogenerated by
    dh_strip.  (Closes: #852433)
  * Move the plugin .so links into the plugin packages.  (Closes: #615955)
  * libopenhpi3.postrm: Drop manual ldconfig call.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Mar 2017 17:13:16 +0100

openhpi (3.6.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.0.2. (Closes: #828468)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Jan 2017 21:45:48 +0200

openhpi (3.6.1-2) unstable; urgency=medium

  * Fixed bogus descriptions of -dbgsym packages (Closes: #818660)
  * Fixed libopenhpi transition problems (Closes: #818841)
 
 -- Bryan Sutula <bryan.sutula@hpe.com>  Fri, 25 Mar 2016 13:50:16 -0500

openhpi (3.6.1-1) unstable; urgency=medium

  * Updated to upstream 3.6.1 version; differences listed at
    http://openhpi.org/News
  * Major changes: bug fixes, dynamic simulator plugin 
  * Changes to take care of new ssl, glib etc
  * Major credit for this upload to Mohan Devarajulu <mohan.devarajulu@hpe.com>
  * Fixed security bug CVE-2015-3248 (Closes: #789543)
  * Run dh-autoreconf to update config (Closes: #752453)
  * Added systemd control file (Closes: #785287)
 
 -- Bryan Sutula <bryan.sutula@hpe.com>  Tue, 15 Mar 2016 22:11:14 -0500

openhpi (2.14.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unneeded autoconf and automake1.9 build deps. (Closes: #724425)

 -- Eric Dorland <eric@debian.org>  Sat, 08 Mar 2014 18:50:37 -0500

openhpi (2.14.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * src/lock.c: Include glib.h instead of individual headers. Thanks to Andy
    Whitcroft for the patch. (Closes: #665590)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jun 2013 17:05:17 +0200

openhpi (2.14.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Split off Linux-specific plugins to fix FTBFS on GNU/kFreeBSD.
    (Closes: #650816)

 -- Robert Millan <rmh@debian.org>  Fri, 27 Apr 2012 23:33:49 +0200

openhpi (2.14.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Upload openhpi (2.14.1-1ubuntu1) except debian/control changes
    to Debian sid (Closes: #565105) (Closes: #555866)
  * Avoid including autotools-dev copies of config.{guess,sub} in
    the debian changes (*.diff.gz)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 18 Jul 2011 22:23:29 +0200

openhpi (2.14.1-1ubuntu1) natty; urgency=low

  * plugins/ipmidirect/ipmi_mc_vendor.cpp: Fix FTBFS with gcc 4.5.
    Taken from upstream. (LP: #687986)
  * clients/Makefile.{am,in}: Add missing libraries otherwise it FTBFS.
    Related to linker '--as-needed' change.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 07 Jan 2011 16:17:28 -0500

openhpi (2.14.1-1) unstable; urgency=low

  * Updated to upstream 2.14.1 version; differences listed at
    http://openhpi.org/News
  * Major changes: bug fixes, bug fixes, and more bug fixes
  * Modified daemon behavior to avoid running until user has configured
    the package for their hardware

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Mon, 14 Jun 2010 11:10:14 -0600

openhpi (2.14.0-3) unstable; urgency=low

  * Cleaned up a bunch of lintian items; documented others in TODO

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Wed, 25 Nov 2009 10:40:52 -0700

openhpi (2.14.0-2) unstable; urgency=low

  * Fixed missing lintian override (2.14.0-1 upload not accepted)
  * Minor update to debian/TODO

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Fri, 20 Nov 2009 13:05:14 -0700

openhpi (2.14.0-1) unstable; urgency=low

  * Updated to upstream 2.14.0 version; differences listed at
    http://openhpi.org/News
  * Major changes: now supports version B.03.01 of the SAF HPI
    specification, continuing improvements in the oa_soap plug-in.
  * Updated and expanded package descriptions (Closes: 493621)
  * Added init script test to make sure daemon is present (Closes: 509551)
  * Fixed bashisms in init script (Closes: 530991)
  * Included plug-in documentation provided by upstream but not previously
    installed
  * Updated to current standards version

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Thu, 19 Nov 2009 08:02:53 -0700

openhpi (2.12.0-1) unstable; urgency=low

  * Updated to upstream 2.12.0 version; differences listed at
    http://openhpi.org/News
  * Few substantial changes except normal bug-fixing.  Most important
    difference is that this is a released (supported) version of
    openhpi, instead of the 2.11.2 development version.  (Closes: 493032)
  * Added lintian-overrides files to clean up compile/build

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Thu, 31 Jul 2008 16:09:20 -0600

openhpi (2.11.2-1) unstable; urgency=low

  * Updated to upstream 2.11.2 version; differences listed at
    http://openhpi.org/News
  * Major changes include the addition of two new plugins
    (ilo2_ribcl and oa_soap), resulting in two new binary packages
    (openhpi-plugin-ilo2-ribcl and openhpi-plugin-oa-soap)

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Thu, 05 Jun 2008 23:49:50 -0600

openhpi (2.10.2-1) unstable; urgency=low

  * Updated to upstream 2.10.2 version; differences listed at
    http://openhpi.org/News
  * Removed special SAF copyright information, since SAF interface
    specification files are now under a BSD-style copyright
  * Added LSB Init script section (http://wiki.debian.org/LSBInitScripts)
    (Closes: 460216)
  * Newer upstream should work with gcc 4.3 (Closes: 474897)
  * Moved to standards version 3.7.3
  * Temporarily removed "-Werror" from compile flags as there appears to be
    a cast problem in glib (to be investigated further)

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Wed, 09 Apr 2008 16:07:45 -0600

openhpi (2.8.1-1) unstable; urgency=low

  * Updated to upstream 2.8.1 version; differences listed at
    http://openhpi.org/News
  * Changed licensing terms of the Debian packaging to be BSD instead
    of GPL, to be consistent with the licensing of the rest of the package
  * Clarified the copyright of several Autoconf-generated files, which can
    actually be BSD instead of GPL
  * Added README.Debian to all openhpi packages; added a pointer to the rest
    of the README files which are only installed in /usr/share/doc/libopenhpi2
  * Added "Recommends" of openhpid to libopenhpi2 as per bug discussion;
    (Closes: 415598)
  * Updated debian/control to remove references to deprecated
    ${Source-Version)} variable as per http://wiki.debian.org/binNMU

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Mon, 20 Aug 2007 10:44:37 -0600

openhpi (2.6.2-3) unstable; urgency=low

  * Minor source change to fix build problem on sparc
  * Moved openhpi metapackage to extra (openhpi-plugin-sysfs is extra)

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Mon, 22 Jan 2007 11:53:56 -0700

openhpi (2.6.2-2) unstable; urgency=low

  * Missed adding the SAF copyright to debian/copyright; added
  * Version 2.6.2-1 was never distributed so this version also
    closes 2.6.2-1 bugs (Closes: 399794)

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Tue, 09 Jan 2007 09:42:15 -0700

openhpi (2.6.2-1) unstable; urgency=low

  * Updated to upstream 2.6.2 version.  A major change for 2.6.2
    is that the openhpi daemon is now always required, eliminating
    the openhpi-switcher application.
  * Updated the SAF license as per SAF board of directors. The entire
    package is now DFSG-free and eligible to move from the non-free to
    the main repository.  See copyright and copyright.SAF
  * Moved openhpi-plugin-sysfs from optional to extra (depends on
    libsysfs2 which is extra) (Closes: 399794)

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Wed, 27 Dec 2006 17:03:30 -0700

openhpi (2.5.2-2) unstable; urgency=low

  * Clean up and fix debian/copyright file
  * Remove docs/hld subdirectory (license may not be DFSG compliant)
  * Remove docs/hld from upstream tarball (so we don't ship the above)
  * Moved the set of packages from main to non-free because the SAF
    license is not DFSG-compliant
  * Moved openhpi-plugin-simulator and openhpi-plugin-watchdog into the
    base library (libopenhpi2) to reduce package count
  * Moved the /usr/lib/openhpi/*.so symlinks from libopenhpi-dev to
    libopenhpi2.  This is not typical packaging, but OpenHPI dynamically
    loads plugin modules and the load call (lt_dlopenext) is looking for
    these .so symlinks.
  * Renamed the SNMP plugin to ...snmp-bc to more properly reflect its
    use with BladeCenter hardware
  * Fixed some IPMI package descriptions which were misleading
  * Removed "-Wall" and "-Wcast-align" from configure.ac because they cause
    ia64 compiles to fail (removed earlier but not in prior changelog)
  * Added debian/TODO file to capture things that still need work

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Wed, 15 Nov 2006 12:03:37 -0700

openhpi (2.5.2-1) unstable; urgency=low

  * Break out plugin modules into separate Debian packages.  This is
    important for low-memory installations.  (Not so much code size
    but the dependencies that certain plugins bring with them.)
  * Rename libopenhpi package to libopenhpi2 as per policy
  * Don't include .la files.  If these are included, then other packages
    will compile specific version dependencies to this version, and we'll
    have a lot of package upgrade issues.  If we really want them, we can
    add them back to a future version.
  * Removed manual dependency on libncurses5 from openhpi-plugin-ipmi as
    this issue appears to have been fixed between Sarge and Etch.
  * Minor change to cpp/oSaHpiTypesEnums.hpp because of g++ version 3
    to version 4 conversion.
  * Fixed minor packaging issues in preparation for first Debian upload.
  * Initial release (Closes: #379864)

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Wed, 25 Oct 2006 15:11:27 -0600

openhpi (2.5.2-0hpde3) hpde-2-0-11-1; urgency=low

  * Fixed packaging issue where overall metapackage could not be built from
    the supplied source
  * Fixed issue with libsnmp_bc.so, where it wasn't versioned properly
    (upstream issue)

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Mon, 21 Aug 2006 12:13:09 -0600

openhpi (2.5.2-0hpde2) hpde-2-0-11-x; urgency=low

  * First beta OpenHPI package for Debian (not uploaded to Debian)

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Fri, 18 Aug 2006 11:37:34 -0600

openhpi (2.5.2-0hpde1) UNRELEASED; urgency=low

  * This was a development vehicle and wasn't released anywhere
  * First complete OpenHPI package for Debian (but not tested, not uploaded)
  * Includes separate .debs for libraries, etc.
  * Daemon start/stop should now work on package install/remove
  * Fixed 2.5.2 upstream plugin bug where example programs crash at exit();
    upstream doesn't call oh_close_handlers() in 2.6.0, aiui.
  * Please note that this will NOT install cleanly on 2.5.2-0hpde0; please
    --purge that package first before installing this

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Wed, 16 Aug 2006 02:47:33 -0600

openhpi (2.5.2-0hpde0) UNRELEASED; urgency=low

  * Initial packaging hack

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Fri, 07 Jul 2006 13:57:12 -0600
